<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl" xmlns:nk="http://netkernel.org">
  <xsl:output method="xml" omit-xml-declaration="yes"/>

  <xsl:template match="/report">
  	<div>
  		<div id="temp"></div>
  		<div id="status-clear" style="display:none">
  		<b>Completed.</b><br/>
  		<form action="/tools/apposite/" method="POST">
    		<input type="submit" value="Refresh"/>
    	</form>
    	</div>
	  <table cellpadding="1" cellspacing="0" width="350">
	  	<xsl:apply-templates select="stage|finished"/>
	  </table>
	</div>
  </xsl:template>
  
  <xsl:template match="stage">
  	<tr>
  		<td><span style="font-weight: bold;"><xsl:value-of select="@title"/></span></td>
  		<td>
			<!--<pre class="quoted">-->
				<xsl:value-of select="*"/>
			<!--</pre>-->
  		</td>
  	</tr>
  </xsl:template>
  
  <xsl:template match="finished">
  	<tr>
  	<td colspan="2">
  		<img src="/nkse/style/img/favicon.png" onload="triggerClear()"/>
  		<div id="status-finalize" style="display:block">
  		<b>Almost done. System is now commissioning modules...</b>
  		</div>
    </td>
    </tr>
  </xsl:template>

</xsl:stylesheet> 
