SELECT
	PACKAGES.*,
	PACKAGE_VERSIONS.*,
	PACKAGE_VERSIONS.VERSION[0] || '.' || PACKAGE_VERSIONS.VERSION[1] || '.' || PACKAGE_VERSIONS.VERSION[2] as VP,
	REPOS.ID AS REPOID,
	REPOS.NAME AS REPONAME,
	REPOS.URLBASE,
	REPO_COLLECTIONS.ID AS COLLECTIONID,
	REPO_COLLECTIONS.DISTPATH,
	REPO_COLLECTION_SETS.ID AS COLLECTIONSETID,
	REPO_COLLECTION_SETS.NAME AS SETNAME
	FROM
	PACKAGES,
	PACKAGE_VERSIONS,
	REPOS,
	REPO_COLLECTIONS,
	REPO_COLLECTION_SETS
	WHERE
		REPOS.ID=REPO_COLLECTIONS.REPOID
		AND
		REPO_COLLECTIONS.ID=REPO_COLLECTION_SETS.REPOCOLLECTIONID
		AND
		PACKAGES.REPOCOLLECTIONSETID=REPO_COLLECTION_SETS.ID
		AND
		PACKAGES.ID= PACKAGE_VERSIONS.PACKAGEID
		AND
		PACKAGE_VERSIONS.ID=${vid}
;