SELECT
	REPOS.ID AS REPOID,
	REPOS.NAME AS REPONAME,
	REPOS.URLBASE,
	CASEWHEN(REPOS.PUBLICKEY IS NULL, 0, 1) AS HASPUBLICKEY, 
	REPOS.TRUSTED,
	REPO_COLLECTIONS.ID AS COLLECTIONID,
	REPO_COLLECTIONS.DISTPATH,
	REPO_COLLECTION_SETS.ID AS COLLECTIONSETID,
	REPO_COLLECTION_SETS.NAME AS SETNAME
	FROM
	REPOS, REPO_COLLECTIONS, REPO_COLLECTION_SETS
	WHERE
	REPOS.ID=REPO_COLLECTIONS.REPOID
	AND
	REPO_COLLECTIONS.ID=REPO_COLLECTION_SETS.REPOCOLLECTIONID
	AND
	REPOS.ID=${id}
;
